summaryrefslogtreecommitdiffstats
path: root/tests/big-dynstr.sh
diff options
context:
space:
mode:
authorVincent Danjean <Vincent.Danjean@ens-lyon.org>2012-06-21 09:43:57 (GMT)
committerEelco Dolstra <eelco.dolstra@logicblox.com>2012-07-10 22:16:24 (GMT)
commit3226dea3610c8d3cb81b574e1aa478948ddc6c91 (patch)
tree589be58acd0b07fdee94091f2042f9884bfc8cef /tests/big-dynstr.sh
parentd0dac944aeb6385da874d07da2c9897f2f9bd7d6 (diff)
downloadpatchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.zip
patchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.tar.gz
patchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.tar.bz2
Allow parallel execution of tests
Each test use its own subdirectory in scratch/
Diffstat (limited to 'tests/big-dynstr.sh')
-rwxr-xr-xtests/big-dynstr.sh23
1 files changed, 12 insertions, 11 deletions
diff --git a/tests/big-dynstr.sh b/tests/big-dynstr.sh
index bb95366..19adad1 100755
--- a/tests/big-dynstr.sh
+++ b/tests/big-dynstr.sh
@@ -1,24 +1,25 @@
#! /bin/sh -e
+SCRATCH=scratch/$(basename $0 .sh)
-rm -rf scratch
-mkdir -p scratch
-mkdir -p scratch/libsA
-mkdir -p scratch/libsB
+rm -rf ${SCRATCH}
+mkdir -p ${SCRATCH}
+mkdir -p ${SCRATCH}/libsA
+mkdir -p ${SCRATCH}/libsB
-cp big-dynstr scratch/
-cp libfoo.so scratch/libsA/
-cp libbar.so scratch/libsB/
+cp big-dynstr ${SCRATCH}/
+cp libfoo.so ${SCRATCH}/libsA/
+cp libbar.so ${SCRATCH}/libsB/
-oldRPath=$(../src/patchelf --print-rpath scratch/big-dynstr)
+oldRPath=$(../src/patchelf --print-rpath ${SCRATCH}/big-dynstr)
if test -z "$oldRPath"; then oldRPath="/oops"; fi
-../src/patchelf --force-rpath --set-rpath $oldRPath:$(pwd)/scratch/libsA:$(pwd)/scratch/libsB scratch/big-dynstr
+../src/patchelf --force-rpath --set-rpath $oldRPath:$(pwd)/${SCRATCH}/libsA:$(pwd)/${SCRATCH}/libsB ${SCRATCH}/big-dynstr
if test "$(uname)" = FreeBSD; then
- export LD_LIBRARY_PATH=$(pwd)/scratch/libsB
+ export LD_LIBRARY_PATH=$(pwd)/${SCRATCH}/libsB
fi
exitCode=0
-cd scratch && ./big-dynstr || exitCode=$?
+cd ${SCRATCH} && ./big-dynstr || exitCode=$?
if test "$exitCode" != 46; then
echo "bad exit code!"